Subject: Re: compile, logrotate, isblank, NT4.0, failed
From: Pavel Tsekov <[email-masked]>
To: Erik Bak-Mikkelsen <[email-masked]>
Cc: [email-masked]
Date: Mon, 15 Oct 2001 10:38:18 +0200

It seems so :)

The following two lines are from the linux man page of 
is[xxx] set of functions.

isblank()
	checks for a blank character; that is, a space or a tab.  This function
is a GNU extension.

I think reason for this function to be missing is that is
a GNU extension. However you can implement that function by
yourself pretty easy :)

int isblank(int c)
{
    if (c != ' ' && c != '\t')
	return 0;
    
    return c;
}

Erik Bak-Mikkelsen wrote:
> 
> Hi cygwinners,
> recently I tried to compile logrotate on an NT4.0. After som initial
> changes in link path, and alloc/malloc calls it "makes" for a while
> but fails eventuelly with the following:
> 
> logrotate.o: In function `rotateLogSet':
> /cygdrive/d/logrotate-3.3/logrotate.c:607: undefined reference to `setlinebuf'
> config.o: In function `isolateValue':
> /cygdrive/d/logrotate-3.3/config.c:40: undefined reference to `isblank'
> /cygdrive/d/logrotate-3.3/config.c:43: undefined reference to `isblank'
> /cygdrive/d/logrotate-3.3/config.c:56: undefined reference to `isblank'
> config.o: In function `readConfigPath':
> /cygdrive/d/logrotate-3.3/config.c:179: undefined reference to `fchdir'
> /cygdrive/d/logrotate-3.3/config.c:199: undefined reference to `fchdir'
> /cygdrive/d/logrotate-3.3/config.c:209: undefined reference to `fchdir'
> config.o: In function `readConfigFile':
> /cygdrive/d/logrotate-3.3/config.c:299: undefined reference to `isblank'
> /cygdrive/d/logrotate-3.3/config.c:313: undefined reference to `isblank'
> /cygdrive/d/logrotate-3.3/config.c:656: undefined reference to `isblank'
> /cygdrive/d/logrotate-3.3/config.c:744: undefined reference to `isblank'
> /cygdrive/d/logrotate-3.3/config.c:789: undefined reference to `isblank'
> collect2: ld returned 1 exit status
> make: *** [logrotate] Error 1
> 
> Please, what could be the reason for this? Am I missing packages?
> It seems that isblank does not exist?
> regards Erik Bak-Mikkelsen
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/